<!--
 - Created by MarosGrajcar on 2/17/2020.
 -->

<!-- Eqt Transfer Information Section -->
<template>

    <!--INFORMATION HEADER-->
    <div class="slds-text-title_caps slds-section slds-p-around--small" style="background-color:#f5f5f5">
        <b>Information</b>
    </div>

    <template if:true={isNewForm}>

        <!--MEDIUM AND LARGE DEVICES-->
        <!--INPUTS SECTIONS-->
        <div class="slds-grid slds-wrap slds-p-around--medium slds-show_medium">
            <div class="slds-size--6-of-12">
                <div class="slds-size--10-of-12">

                    <lightning-combobox
                            label="Reason for Transfer / Additional Details"
                            value={transferReason}
                            onchange={handleTransferReason}
                            options={reasonForTransferPicklist}
                            required>
                    </lightning-combobox>

                    <div class="slds-p-top--small">
                        <lightning-input type="date"
                                         label="Date of Physical Transfer"
                                         autocomplete="off"
                                         value={dateOfTransfer}
                                         onchange={handleDateOfTransfer}
                                         required>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <c-hog_lookup label="Authorized By"
                                      object-a-p-i-name="User"
                                      placeholder="Search User"
                                      render-icon="true"
                                      icon-name="standard:people"
                                      is-required="true"
                                      onclearselection={clearAuthorizedBy}
                                      onselection={handleAuthorizedBy}>
                        </c-hog_lookup>
                    </div>
                    <div class="slds-p-top--small"></div>
                </div>
            </div>

            <div class="slds-size--6-of-12">
                <div class="slds-size--10-of-12">

                    <c-hog_lookup label="Work Order"
                                  object-a-p-i-name="HOG_Maintenance_Servicing_Form__c"
                                  placeholder="Search Work Order"
                                  render-icon="true"
                                  icon-name="standard:work_type"
                                  with-sharing="true"
                                  onclearselection={clearWorkOrder}
                                  onselection={handleWorkOrder}>
                    </c-hog_lookup>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Shipped Via"
                                         maxlength="255"
                                         value={shippedVia}
                                         onchange={handleShippedVia}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Waybill No."
                                         maxlength="255"
                                         value={waybillNo}
                                         onchange={handleWaybillNo}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Charge No."
                                         maxlength="255"
                                         value={chargeNo}
                                         onchange={handleChargeNo}>
                        </lightning-input>
                    </div>


                </div>
            </div>
        </div>

        <!--ADDITIONAL INFORMATION SECTION-->
        <div class="slds-grid slds-wrap slds-p-around--medium slds-border--top slds-show_medium">
            <div class="slds-size--6-of-12">
                <lightning-input type="checkbox"
                                 label="Safety Critical Equipment"
                                 checked={safetyCriticalEq}
                                 onchange={handleSafetyCritical}>
                </lightning-input>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Regulatory Equipment"
                                     checked={regulatoryEq}
                                     onchange={handleRegulatoryEq}>
                    </lightning-input>
                </div>
            </div>


            <div class="slds-size--6-of-12">
                <div class="slds-p-right--x-small">Status:</div>
                <p>Open</p>

                <div class="slds-p-top--small"> Expiration Date:</div>
                <p>
                    <lightning-formatted-date-time value={expirationDate}
                                                   year="numeric"
                                                   month="short"
                                                   day="2-digit">
                    </lightning-formatted-date-time>
                </p>

            </div>
        </div>

        <!--SOURCE AND DESTINATION SECTION-->
        <div class="slds-grid slds-wrap slds-p-around--medium slds-border--top slds-show_medium">
            <div if:true={isFromForm} class="slds-size--6-of-12">
                <b>FROM (Source)</b>
                <p if:true={flocName}><a onclick={redirectToRecordPage}
                                         data-id={fromFlocId}
                                         data-apiname={toAPIName}>{flocName}</a>
                </p>
            </div>

            <div if:true={isFromForm} class="slds-size--6-of-12">
                <lightning-combobox
                        name="destination"
                        label="TO (Destination) "
                        required
                        value={selectedDestination}
                        onchange={handleSelectedDestination}
                        options={transferDestinationOptions}>
                </lightning-combobox>

                <div if:true={isDestinationSelected}>
                    <c-hog_lookup object-a-p-i-name={selectedDestination}
                                  class="transferDestinationOnInsert"
                                  placeholder="Select Destination"
                                  render-icon="true"
                                  icon-name="standard:output"
                                  with-sharing="true"
                                  onclearselection={clearDestination}
                                  onselection={handleDestinationSelection}>
                    </c-hog_lookup>
                </div>
            </div>

            <div if:false={isFromForm} class="slds-size--6-of-12">
                <b>TO (Destination)</b>
                <p if:true={flocName}><a onclick={redirectToRecordPage}
                                         data-id={fromFlocId}
                                         data-apiname={toAPIName}>{flocName}</a>
                </p>
            </div>


        </div>

        <!--SMALL DEVICES-->
        <!--INPUTS SECTIONS-->
        <div class="slds-hide_medium">

            <div class="slds-p-top--small">
                <lightning-combobox
                        label="Reason for Transfer / Additional Details"
                        value={transferReason}
                        onchange={handleTransferReason}
                        options={reasonForTransferPicklist}
                        required>
                </lightning-combobox>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="date"
                                 label="Date of Physical Transfer"
                                 autocomplete="off"
                                 value={dateOfTransfer}
                                 onchange={handleDateOfTransfer}
                                 required>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <c-hog_lookup label="Authorized By"
                              object-a-p-i-name="User"
                              placeholder="Search User"
                              render-icon="true"
                              icon-name="standard:people"
                              is-required="true"
                              onclearselection={clearAuthorizedBy}
                              onselection={handleAuthorizedBy}>
                </c-hog_lookup>
            </div>


            <div class="slds-p-top--small">
                <c-hog_lookup label="Work Order"
                              object-a-p-i-name="HOG_Maintenance_Servicing_Form__c"
                              placeholder="Search Work Order"
                              render-icon="true"
                              icon-name="standard:work_type"
                              with-sharing="true"
                              onclearselection={clearWorkOrder}
                              onselection={handleWorkOrder}>
                </c-hog_lookup>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="text"
                                 label="Shipped Via"
                                 maxlength="255"
                                 value={shippedVia}
                                 onchange={handleShippedVia}>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="text"
                                 label="Waybill No."
                                 maxlength="255"
                                 value={waybillNo}
                                 onchange={handleWaybillNo}>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="text"
                                 label="Charge No."
                                 maxlength="255"
                                 value={chargeNo}
                                 onchange={handleChargeNo}>
                </lightning-input>
            </div>

        </div>

        <!--ADDITIONAL INFORMATION SECTION-->
        <div class="slds-border--top slds-hide_medium">

            <div class="slds-p-top--small">
                <lightning-input type="checkbox"
                                 label="Safety Critical Equipment"
                                 checked={safetyCriticalEq}
                                 onchange={handleSafetyCritical}>
                </lightning-input>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Regulatory Equipment"
                                     checked={regulatoryEq}
                                     onchange={handleRegulatoryEq}>
                    </lightning-input>
                </div>
            </div>


            <div class="slds-p-top--small">Status:</div>
            <p>Open</p>

            <div class="slds-p-top--small"> Expiration Date:</div>
            <p>
                <lightning-formatted-date-time value={expirationDate}
                                               year="numeric"
                                               month="short"
                                               day="2-digit">
                </lightning-formatted-date-time>
            </p>

        </div>

        <!--SOURCE AND DESTINATION SECTION-->
        <div class="slds-border--top slds-hide_medium">
            <div if:true={isFromForm} class="slds-p-top--small">
                <b>FROM (Source)</b>
                <p if:true={flocName}><a onclick={redirectToRecordPage}
                                         data-id={toFlocId}
                                         data-apiname={toAPIName}>{flocName}</a>
                </p>
            </div>

            <div if:true={isFromForm} class="slds-p-top--small">
                <lightning-combobox
                        name="destination"
                        label="TO (Destination) "
                        required
                        value={selectedDestination}
                        onchange={handleSelectedDestination}
                        options={transferDestinationOptions}>
                </lightning-combobox>

                <div if:true={isDestinationSelected}>
                    <c-hog_lookup object-a-p-i-name={selectedDestination}
                                  class="transferDestinationOnInsertMobile"
                                  placeholder="Select Destination"
                                  render-icon="true"
                                  icon-name="standard:output"
                                  with-sharing="false"
                                  onclearselection={clearDestination}
                                  onselection={handleDestinationSelection}>
                    </c-hog_lookup>
                </div>
            </div>

            <div if:false={isFromForm} class="slds-p-top--small">
                <b>TO (Destination)</b>
                <p if:true={flocName}><a onclick={redirectToRecordPage}
                                         data-id={toFlocId}
                                         data-apiname={toAPIName}>{flocName}</a>
                </p>
            </div>


        </div>


    </template>

    <template if:false={isNewForm}>
        <template if:true={isView}>

            <!--MEDIUM AND LARGE DEVICES-->
            <!--INPUTS SECTION-->
            <div class="slds-wrap slds-grid slds-p-around--medium slds-hyphenate slds-show_medium">
                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">

                        <b>Reason for Transfer / Additional Details</b>
                        <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                            {transferForm.Reason_for_Transfer_Additional_Details__c}
                        </p>

                        <div class="slds-p-top--small">
                            <b>Date of Physical Transfer</b>
                            <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                                <lightning-formatted-date-time
                                        value={transferForm.Date_of_Physical_Transfer__c}
                                        year="numeric"
                                        month="short"
                                        day="2-digit">
                                </lightning-formatted-date-time>
                            </p>
                        </div>

                        <div class="slds-p-top--small">
                            <b>Authorized By</b>
                            <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                                <a onclick={redirectToRecordPage}
                                   data-id={transferForm.Authorized_By__r.Id}
                                   data-apiname="User">{transferForm.Authorized_By__r.Name}</a>
                            </p>
                        </div>

                    </div>
                </div>

                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">

                        <b>Work Order</b>
                        <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                            &nbsp;
                            <template if:true={transferForm.Maintenance_Work_Order__r}>
                                <a onclick={redirectToRecordPage}
                                   data-objecttype="Maintenance_Work_Order__c"
                                   data-id={transferForm.Maintenance_Work_Order__r.Id}>{transferForm.Maintenance_Work_Order__r.Name}
                                </a>
                            </template>
                        </p>

                        <div class="slds-p-top--small">
                            <b>Shipped Via</b>
                            <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                                {transferForm.Shipped_Via__c}&nbsp;
                            </p>
                        </div>

                        <div class="slds-p-top--small">
                            <b>Waybill No.</b>
                            <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                                {transferForm.Waybill_No__c}&nbsp;
                            </p>
                        </div>

                        <div class="slds-p-top--small">
                            <b>Charge No.</b>
                            <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                                {transferForm.Charge_No__c}&nbsp;
                            </p>
                        </div>

                    </div>
                </div>
            </div>

            <!--ADDITIONAL INFORMATION SECTION-->
            <div class="slds-grid slds-wrap slds-p-around--medium slds-border--top slds-show_medium">
                <div class="slds-large-size--6-of-12 slds-medium-size--6-of-12 slds-small-size--1-of-1">
                    <lightning-input type="checkbox"
                                     label="Safety Critical Equipment"
                                     checked={transferForm.Safety_Critical_Equipment__c}
                                     readonly>
                    </lightning-input>

                    <div class="slds-p-top--small">
                        <lightning-input type="checkbox"
                                         label="Regulatory Equipment"
                                         checked={transferForm.Regulatory_Equipment__c}
                                         readonly>
                        </lightning-input>
                    </div>
                </div>


                <div class="slds-large-size--6-of-12 slds-medium-size--6-of-12 slds-small-size--1-of-1">
                    <div class="slds-p-right--x-small">Status:</div>
                    <p>{transferForm.Status__c}</p>

                    <div class="slds-p-top--small"> Expiration Date:</div>
                    <p>
                        <lightning-formatted-date-time value={transferForm.Expiration_Date__c}
                                                       year="numeric"
                                                       month="short"
                                                       day="2-digit">
                        </lightning-formatted-date-time>
                    </p>

                </div>
            </div>

            <!--SOURCE AND DESTINATION SECTION-->
            <div class="slds-grid slds-wrap slds-p-around--medium slds-border--top slds-show_medium">

                <div if:true={isFromForm} class="slds-size--6-of-12">
                    <b>FROM (Source)</b>
                    <p><a onclick={redirectToRecordPage}
                          data-id={fromFlocId}
                          data-apiname={fromAPIName}>{transferForm.FROM_Source__c}</a></p>
                </div>

                <div if:true={isFromForm} class="slds-size--6-of-12">
                    <b>TO (Destination)</b>
                    <p><a onclick={redirectToRecordPage}
                          data-id={toFlocId}
                          data-apiname={toAPIName}>{transferForm.TO_Destination__c}</a></p>
                </div>

                <div if:false={isFromForm} class="slds-size--6-of-12">
                    <b>TO (Destination)</b>
                    <p><a onclick={redirectToRecordPage}
                          data-id={toFlocId}
                          data-apiname={toAPIName}>{transferForm.TO_Destination__c}</a></p>
                </div>


            </div>

            <!--SMALL DEVICES-->
            <!--INPUTS SECTIONS-->
            <div class="slds-hyphenate slds-hide_medium">

                <div class="slds-p-top--small">
                    <b>Reason for Transfer / Additional Details</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        {transferForm.Reason_for_Transfer_Additional_Details__c}
                    </p>
                </div>

                <div class="slds-p-top--small">
                    <b>Date of Physical Transfer</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        <lightning-formatted-date-time
                                value={transferForm.Date_of_Physical_Transfer__c}
                                year="numeric"
                                month="short"
                                day="2-digit">
                        </lightning-formatted-date-time>
                    </p>
                </div>

                <div class="slds-p-top--small">
                    <b>Authorized By</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        <a onclick={redirectToRecordPage}
                           data-id={transferForm.Authorized_By__r.Id}
                           data-apiname="User">{transferForm.Authorized_By__r.Name}</a>
                    </p>
                </div>


                <div class="slds-p-top--small">
                    <b>Work Order</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        &nbsp;
                        <template if:true={transferForm.Maintenance_Work_Order__r}>
                            <a onclick={redirectToRecordPage}
                               data-objecttype="Maintenance_Work_Order__c"
                               data-id={transferForm.Maintenance_Work_Order__r.Id}>{transferForm.Maintenance_Work_Order__r.Name}
                            </a>
                        </template>
                    </p>
                </div>

                <div class="slds-p-top--small">
                    <b>Shipped Via</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        {transferForm.Shipped_Via__c}&nbsp;
                    </p>
                </div>

                <div class="slds-p-top--small">
                    <b>Waybill No.</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        {transferForm.Waybill_No__c}&nbsp;
                    </p>
                </div>

                <div class="slds-p-top--small">
                    <b>Charge No.</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        {transferForm.Charge_No__c}&nbsp;
                    </p>
                </div>

            </div>

            <!--ADDITIONAL INFORMATION SECTION-->
            <div class="slds-border--top slds-hide_medium">

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Safety Critical Equipment"
                                     checked={transferForm.Safety_Critical_Equipment__c}
                                     readonly>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Regulatory Equipment"
                                     checked={transferForm.Regulatory_Equipment__c}
                                     readonly>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <b>Status</b>
                    <p>{transferForm.Status__c}</p>
                </div>

                <div class="slds-p-top--small">
                    <b>Expiration Date</b>
                </div>
                <p>
                    <lightning-formatted-date-time value={transferForm.Expiration_Date__c}
                                                   year="numeric"
                                                   month="short"
                                                   day="2-digit">
                    </lightning-formatted-date-time>
                </p>


            </div>

            <!--SOURCE AND DESTINATION SECTION-->
            <div class="slds-border--top slds-hide_medium">

                <div if:true={isFromForm} class="slds-p-top--small">
                    <b>FROM (Source)</b>
                    <p><a onclick={redirectToRecordPage}
                          data-id={fromFlocId}
                          data-apiname={fromAPIName}>{transferForm.FROM_Source__c}</a></p>
                </div>

                <div if:true={isFromForm} class="slds-p-top--small">
                    <b>TO (Destination)</b>
                    <p><a onclick={redirectToRecordPage}
                          data-id={toFlocId}
                          data-apiname={toAPIName}>{transferForm.TO_Destination__c}</a></p>
                </div>

                <div if:false={isFromForm} class="slds-p-top--small">
                    <b>TO (Destination)</b>
                    <p><a onclick={redirectToRecordPage}
                          data-id={toFlocId}
                          data-apiname={toAPIName}>{transferForm.TO_Destination__c}</a></p>
                </div>

            </div>

        </template>

        <template if:false={isView}>

            <!--MEDIUM AND LARGE DEVICES-->
            <!--INPUT SECTION-->
            <div class="slds-wrap slds-grid slds-p-around--medium slds-show_medium">
                <div class="slds-size--6-of-12">
                    <div class="slds-size--10-of-12">

                        <lightning-combobox
                                label="Reason for Transfer / Additional Details"
                                value={transferForm.Reason_for_Transfer_Additional_Details__c}
                                onchange={handleTransferReason}
                                options={reasonForTransferPicklist}
                                required>
                        </lightning-combobox>

                        <div class="slds-p-top--small">
                            <lightning-input type="date"
                                             label="Date of Physical Transfer"
                                             autocomplete="off"
                                             value={transferForm.Date_of_Physical_Transfer__c}
                                             onchange={handleDateOfTransfer}
                                             required>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small">
                            <c-hog_lookup label="Authorized By"
                                          object-a-p-i-name="User"
                                          placeholder="Search User"
                                          render-icon="true"
                                          icon-name="standard:people"
                                          is-required="true"
                                          pre-selected-record={transferForm.Authorized_By__r}
                                          onclearselection={clearAuthorizedBy}
                                          onselection={handleAuthorizedBy}>
                            </c-hog_lookup>
                        </div>
                        <div class="slds-p-top--small"></div>
                    </div>
                </div>

                <div class="slds-large-size--6-of-12 slds-medium-size--6-of-12 slds-small-size--1-of-1">
                    <div class="slds-size--10-of-12">

                        <c-hog_lookup label="Work Order"
                                      object-a-p-i-name="HOG_Maintenance_Servicing_Form__c"
                                      placeholder="Search Work Order"
                                      render-icon="true"
                                      icon-name="standard:work_type"
                                      with-sharing="true"
                                      pre-selected-record={transferForm.Maintenance_Work_Order__r}
                                      onclearselection={clearWorkOrder}
                                      onselection={handleWorkOrder}>
                        </c-hog_lookup>

                        <div class="slds-p-top--small">
                            <lightning-input type="text"
                                             label="Shipped Via"
                                             maxlength="255"
                                             value={transferForm.Shipped_Via__c}
                                             onchange={handleShippedVia}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small">
                            <lightning-input type="text"
                                             label="Waybill No."
                                             maxlength="255"
                                             value={transferForm.Waybill_No__c}
                                             onchange={handleWaybillNo}>
                            </lightning-input>
                        </div>

                        <div class="slds-p-top--small">
                            <lightning-input type="text"
                                             label="Charge No."
                                             maxlength="255"
                                             value={transferForm.Charge_No__c}
                                             onchange={handleChargeNo}>
                            </lightning-input>
                        </div>

                    </div>
                </div>

            </div>

            <!--ADDITIONAL INFORMATION SECTION-->
            <div class="slds-grid slds-wrap slds-p-around--medium slds-border--top slds-show_medium">
                <div class="slds-large-size--6-of-12 slds-medium-size--6-of-12 slds-small-size--1-of-1">
                    <lightning-input type="checkbox"
                                     label="Safety Critical Equipment"
                                     checked={transferForm.Safety_Critical_Equipment__c}
                                     onchange={handleSafetyCritical}>
                    </lightning-input>

                    <div class="slds-p-top--small">
                        <lightning-input type="checkbox"
                                         label="Regulatory Equipment"
                                         checked={transferForm.Regulatory_Equipment__c}
                                         onchange={handleRegulatoryEq}>
                        </lightning-input>
                    </div>
                </div>


                <div class="slds-large-size--6-of-12 slds-medium-size--6-of-12 slds-small-size--1-of-1">
                    <div class="slds-p-right--x-small">Status:</div>
                    <p>{transferForm.Status__c}</p>


                    <div if:false={isUserAdmin} class="slds-p-top--small"> Expiration Date:
                        <p>
                            <lightning-formatted-date-time value={transferForm.Expiration_Date__c}
                                                           year="numeric"
                                                           month="short"
                                                           day="2-digit">
                            </lightning-formatted-date-time>
                        </p>
                    </div>
                </div>

                <div if:true={isUserAdmin} class="slds-p-top--small slds-size--4-of-12">
                    <p>
                        <lightning-input label="Expiration Date"
                                         type="date"
                                         value={transferForm.Expiration_Date__c}
                                         month="short"
                                         day="2-digit"
                                         year="numeric"
                                         onchange={handleExpirationDate}>
                        </lightning-input>
                    </p>
                </div>

            </div>

            <!--SOURCE AND DESTINATION SECTION-->
            <div class="slds-grid slds-wrap slds-p-around--medium slds-border--top slds-show_medium">

                <div if:true={isFromForm} class="slds-size--6-of-12">
                    <b>FROM (Source)</b>
                    <p><a onclick={redirectToRecordPage}
                          data-id={fromFlocId}
                          data-apiname={fromAPIName}>{transferForm.FROM_Source__c}</a></p>
                </div>

                <div if:true={isFromForm} class="slds-size--6-of-12">
                    <div class="slds-p-bottom--small">
                        <b>Original Destination</b>
                        <p>
                            <a onclick={redirectToRecordPage}
                               data-id={toFlocId}
                               data-apiname={toAPIName}>{transferForm.TO_Destination__c}</a>
                        </p>
                    </div>

                    <lightning-combobox
                            name="destination"
                            label="Change (Destination)"
                            value={selectedDestination}
                            onchange={handleSelectedDestination}
                            options={transferDestinationOptions}>
                    </lightning-combobox>

                    <div if:true={isDestinationSelected}>
                        <c-hog_lookup object-a-p-i-name={selectedDestination}
                                      class="transferDestination"
                                      placeholder="Select Destination"
                                      render-icon="true"
                                      icon-name="standard:output"
                                      with-sharing="false"
                                      pre-selected-record={toFloc}
                                      onclearselection={clearDestination}
                                      onselection={handleDestinationSelection}>
                        </c-hog_lookup>
                    </div>
                </div>

                <div if:false={isFromForm} class="slds-size--6-of-12">
                    <b>TO (Destination)</b>
                    <p>
                        <a onclick={redirectToRecordPage}
                           data-id={toFlocId}
                           data-apiname={toAPIName}>{transferForm.TO_Destination__c}</a>
                    </p>
                </div>


            </div>

            <!--MEDIUM AND LARGE DEVICES-->
            <!--INPUT SECTION-->
            <div class="slds-hide_medium">

                <div class="slds-p-top--small">
                    <lightning-combobox
                            label="Reason for Transfer / Additional Details"
                            value={transferForm.Reason_for_Transfer_Additional_Details__c}
                            onchange={handleTransferReason}
                            options={reasonForTransferPicklist}
                            required>
                    </lightning-combobox>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="date"
                                     label="Date of Physical Transfer"
                                     autocomplete="off"
                                     value={transferForm.Date_of_Physical_Transfer__c}
                                     onchange={handleDateOfTransfer}
                                     required>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <c-hog_lookup label="Authorized By"
                                  object-a-p-i-name="User"
                                  placeholder="Search User"
                                  render-icon="true"
                                  icon-name="standard:people"
                                  is-required="true"
                                  pre-selected-record={transferForm.Authorized_By__r}
                                  onclearselection={clearAuthorizedBy}
                                  onselection={handleAuthorizedBy}>
                    </c-hog_lookup>
                </div>


                <div class="slds-p-top--small">
                    <c-hog_lookup label="Work Order"
                                  object-a-p-i-name="HOG_Maintenance_Servicing_Form__c"
                                  placeholder="Search Work Order"
                                  render-icon="true"
                                  icon-name="standard:work_type"
                                  with-sharing="true"
                                  pre-selected-record={transferForm.Maintenance_Work_Order__r}
                                  onclearselection={clearWorkOrder}
                                  onselection={handleWorkOrder}>
                    </c-hog_lookup>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Shipped Via"
                                     maxlength="255"
                                     value={transferForm.Shipped_Via__c}
                                     onchange={handleShippedVia}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Waybill No."
                                     maxlength="255"
                                     value={transferForm.Waybill_No__c}
                                     onchange={handleWaybillNo}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Charge No."
                                     maxlength="255"
                                     value={transferForm.Charge_No__c}
                                     onchange={handleChargeNo}>
                    </lightning-input>
                </div>

            </div>

            <!--ADDITIONAL INFORMATION SECTION-->
            <div class="slds-border--top slds-hide_medium">

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Safety Critical Equipment"
                                     checked={transferForm.Safety_Critical_Equipment__c}
                                     onchange={handleSafetyCritical}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Regulatory Equipment"
                                     checked={transferForm.Regulatory_Equipment__c}
                                     onchange={handleRegulatoryEq}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <b>Status</b>
                    <p>{transferForm.Status__c}</p>
                </div>

                <div if:false={isUserAdmin} class="slds-p-top--small"> Expiration Date:
                    <p>
                        <lightning-formatted-date-time value={transferForm.Expiration_Date__c}
                                                       year="numeric"
                                                       month="short"
                                                       day="2-digit">
                        </lightning-formatted-date-time>
                    </p>
                </div>

                <div if:true={isUserAdmin} class="slds-p-top--small">
                    <p>
                        <lightning-input label="Expiration Date"
                                         type="date"
                                         value={transferForm.Expiration_Date__c}
                                         month="short"
                                         day="2-digit"
                                         year="numeric"
                                         onchange={handleExpirationDate}>
                        </lightning-input>
                    </p>
                </div>

            </div>

            <!--SOURCE AND DESTINATION SECTION-->
            <div class="slds-border--top slds-hide_medium">

                <div if:true={isFromForm} class="slds-p-top--small">
                    <b>FROM (Source)</b>
                    <p><a onclick={redirectToRecordPage}
                          data-id={fromFlocId}
                          data-apiname={fromAPIName}>{transferForm.FROM_Source__c}</a></p>
                </div>

                <div if:true={isFromForm} class="slds-p-top--small">
                    <div class="slds-p-bottom--small">
                        <b>Original Destination</b>
                        <p>
                            <a onclick={redirectToRecordPage}
                               data-id={toFlocId}
                               data-apiname={toAPIName}>{transferForm.TO_Destination__c}</a>
                        </p>
                    </div>

                    <lightning-combobox
                            name="destination"
                            label="Change (Destination)"
                            value={selectedDestination}
                            onchange={handleSelectedDestination}
                            options={transferDestinationOptions}>
                    </lightning-combobox>

                    <div if:true={isDestinationSelected}>
                        <c-hog_lookup object-a-p-i-name={selectedDestination}
                                      class="transferDestinationMobile"
                                      placeholder="Select Destination"
                                      render-icon="true"
                                      icon-name="standard:output"
                                      with-sharing="false"
                                      pre-selected-record={toFloc}
                                      onclearselection={clearDestination}
                                      onselection={handleDestinationSelection}>
                        </c-hog_lookup>
                    </div>
                </div>

                <div if:false={isFromForm} class="slds-p-top--small">
                    <b>TO (Destination)</b>
                    <p>
                        <a onclick={redirectToRecordPage}
                           data-id={toFlocId}
                           data-apiname={toAPIName}>{transferForm.TO_Destination__c}</a>
                    </p>
                </div>


            </div>

        </template>
    </template>


</template>